GETNETENT(3)

NAME
getnetent, getnetbyname, getnetbyaddr, setnetent, endnetent - get network entry

SYNOPSIS
#include <netdb.h>

struct netent *getnetent(void);

struct netent *getnetbyname(const char *name);

struct netent *getnetbyaddr(long net, int type);

void setnetent(int stayopen);

void endnetent(void);

DESCRIPTION
The getnetent() function reads the next line from the file /etc/networks and returns a structure netent containing the broken out fields from the line. The /etc/networks file is opened if necessary.

The getnetbyname() function returns a netent structure for the line from /etc/networks that matches the network name.

The getnetbyaddr() function returns a netent structure for the line that matches the network number net of type type.

The setnetent() function opens and rewinds the /etc/networks file. If stayopen is true (1), then the file will not be closed between calls to getnetbyname() and getnetbyaddr().

The endnetent() function closes /etc/networks.

The netent structure is defined in <netdb.h> as follows:

struct netent {
    char          *n_name;     /* official network name */
    char         **n_aliases;  /* alias list */
    int            n_addrtype; /* net address type */
    unsigned long  n_net;      /* network number */
}

The members of the netent structure are:

n_name
    The official name of the network.

n_aliases
    A zero terminated list of alternative names for the network.

n_addrtype
    The type of the network number; always AF_INET.

n_net
    The network number in host byte order.

RETURN VALUE
The getnetent(), getnetbyname() and getnetbyaddr() functions return the netent structure, or a NULL pointer if an error occurs or the end of the file is reached.

FILES

/etc/networks
    networks database file

CONFORMING TO
4.3BSD, POSIX.1-2001.

SEE ALSO
getprotoent(3), getservent(3), networks(5)
RFC 1101